/*======================================证件照排版接口======================================*/
package main

import (
	"bytes"
	"encoding/json"
	"fmt"
	"io/ioutil"
	"net/http"
)

func main() {
	appCode := "你的appcode"

	client := &http.Client{}
	photo_key := "956391e227af4ab3b3c0862c40084056" // photo_key为从“证件照制作接口”或者“更换背景接口”返回的
	paper := "inch6"                                //相纸规格，只支持两种值：inch5, inch6，分别表示“5寸相纸”和“六寸”相纸，默认为inch5
	ArrangeUrl := fmt.Sprintf("https://idphotox.market.alicloudapi.com/idphoto/arrange?photo_key=%s&paper=%s", photo_key, paper)

	data := make(map[string]interface{})
	bytesData, _ := json.Marshal(data)

	req, _ := http.NewRequest("POST", ArrangeUrl, bytes.NewReader(bytesData))
	req.Header.Set("Content-Type", "application/json")
	req.Header.Set("Authorization", "APPCODE "+appCode)

	resp, _ := client.Do(req)
	fmt.Println(resp.Header)
	fmt.Println(resp.Header["X-Ca-Error-Message"])
	body, _ := ioutil.ReadAll(resp.Body)
	fmt.Println(string(body))

}
